# Class Modifier`Abstract`

#### Hierarchy (view full)

- Modifier
  - PersistentModifier
  - ConsumableModifier

- Defined in src/modifier/modifier.ts:120

#####
Index

### Constructors

constructor

### Properties

type

### Methods

apply
match
shouldApply

## Constructors

### constructor

- new Modifier(type): Modifier

- #### Parameters

  - type: ModifierType

  #### Returns Modifier

  - Defined in src/modifier/modifier.ts:123

## Properties

### type

type: ModifierType

- Defined in src/modifier/modifier.ts:121

## Methods

### `Abstract` apply

- apply(args): boolean | Promise<boolean>

- #### Parameters

  - args: any[]

  #### Returns boolean | Promise<boolean>

  - Defined in src/modifier/modifier.ts:135

### match

- match(_modifier): boolean

- #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:127

### shouldApply

- shouldApply(_args): boolean

- #### Parameters

  - _args: any[]

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:131